package cn.sagacloud.server.scheduler.test

import cn.sagacloud.server.scheduler.service.ActiveMQConsumer
import cn.sagacloud.server.scheduler.service.JMSProducer
import com.google.common.util.concurrent.AtomicDouble
import org.junit.Test
import org.junit.runner.RunWith
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import org.springframework.test.context.junit4.SpringRunner
import java.util.concurrent.atomic.AtomicInteger

//
@RunWith(SpringRunner::class)
@SpringBootTest
class JMSTest {

    @Autowired
    lateinit var producer : JMSProducer

    @Test
    fun test1(){
        producer.sendMessage("ffff")
        var d = AtomicDouble();
        var i = AtomicInteger();
    }
}